loci.plugins

## Class Updater

- java.lang.Object
- - loci.plugins.Updater

- All Implemented Interfaces:
    ij.plugin.PlugIn

      public class Updater
      extends java.lang.Object
      implements ij.plugin.PlugIn

  A plugin for updating the Bio-Formats plugins.
  Author:
    Melissa Linkert melissa at glencoesoftware.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `canceled` Flag indicating whether last operation was canceled.
    `private static java.lang.String` | `DAILY`
    `private static java.lang.String` | `STABLE`
    `private static java.lang.String` | `TRUNK`
    `private java.lang.String` | `urlPath` Path to bioformats_package.jar uber-jar.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Updater()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private static java.lang.String` | `find(java.lang.String dir, java.lang.String filename)`
    `static void` | `install(java.lang.String urlPath)` Install the tools bundle which can be retrieved from the specified path.
    `static boolean` | `isFiji()` Returns true if the current ImageJ instance is actually a Fiji instance.
    `void` | `run(java.lang.String arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TRUNK

          private static final java.lang.String TRUNK

      See Also:
        Constant Field Values

    - #### DAILY

          private static final java.lang.String DAILY

      See Also:
        Constant Field Values

    - #### STABLE

          private static final java.lang.String STABLE

      See Also:
        Constant Field Values

    - #### canceled

          public boolean canceled

      Flag indicating whether last operation was canceled.

    - #### urlPath

          private java.lang.String urlPath

      Path to bioformats_package.jar uber-jar.

  - ### Constructor Detail

    - #### Updater

          public Updater()

  - ### Method Detail

    - #### run

          public void run(java.lang.String arg)

      Specified by:
        `run` in interface `ij.plugin.PlugIn`

    - #### isFiji

          public static boolean isFiji()

      Returns true if the current ImageJ instance is actually a Fiji instance.

    - #### install

          public static void install(java.lang.String urlPath)

      Install the tools bundle which can be retrieved from the specified path.

    - #### find

          private static java.lang.String find(java.lang.String dir,
                                               java.lang.String filename)

Copyright © 2026 Open Microscopy Environment